(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory();
	else if(typeof define === 'function' && define.amd)
		define("kielbasa", [], factory);
	else if(typeof exports === 'object')
		exports["kielbasa"] = factory();
	else
		root["kielbasa"] = factory();
})(global, function() {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = "./src/index.js");
/******/ })
/************************************************************************/
/******/ ({

/***/ "./src/getCamelCase.js":
/*!*****************************!*\
  !*** ./src/getCamelCase.js ***!
  \*****************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var _utils_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./utils.js */ \"./src/utils.js\");\n/* harmony import */ var _getLowerCase_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./getLowerCase.js */ \"./src/getLowerCase.js\");\n\n\n\nfunction getCamelCase(string, options = {}) {\n  const modifiedString = Object(_getLowerCase_js__WEBPACK_IMPORTED_MODULE_1__[\"default\"])(string);\n  const delimiter = options.delimiter || Object(_utils_js__WEBPACK_IMPORTED_MODULE_0__[\"getDelimiter\"])(modifiedString);\n  const noPunctuationString = Object(_utils_js__WEBPACK_IMPORTED_MODULE_0__[\"getStringWithoutPunctuation\"])(modifiedString);\n  const stringArray = noPunctuationString.split(delimiter);\n  return stringArray.reduce((acc, word) => acc + Object(_utils_js__WEBPACK_IMPORTED_MODULE_0__[\"getCapitalizedWord\"])(word));\n}\n\n/* harmony default export */ __webpack_exports__[\"default\"] = (getCamelCase);\n\n//# sourceURL=webpack://kielbasa/./src/getCamelCase.js?");

/***/ }),

/***/ "./src/getKebabCase.js":
/*!*****************************!*\
  !*** ./src/getKebabCase.js ***!
  \*****************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var _utils_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./utils.js */ \"./src/utils.js\");\n/* harmony import */ var _getLowerCase_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./getLowerCase.js */ \"./src/getLowerCase.js\");\n\n\nconst HYPHEN = '-';\n\nfunction getKebabCase(string, options = {}) {\n  return Object(_utils_js__WEBPACK_IMPORTED_MODULE_0__[\"getDashCase\"])(string, _getLowerCase_js__WEBPACK_IMPORTED_MODULE_1__[\"default\"], HYPHEN, options);\n}\n\n/* harmony default export */ __webpack_exports__[\"default\"] = (getKebabCase);\n\n//# sourceURL=webpack://kielbasa/./src/getKebabCase.js?");

/***/ }),

/***/ "./src/getLowerCase.js":
/*!*****************************!*\
  !*** ./src/getLowerCase.js ***!
  \*****************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\nfunction getLowerCase(string) {\n  return string.toLowerCase();\n}\n\n/* harmony default export */ __webpack_exports__[\"default\"] = (getLowerCase);\n\n//# sourceURL=webpack://kielbasa/./src/getLowerCase.js?");

/***/ }),

/***/ "./src/getScreamingSnakeCase.js":
/*!**************************************!*\
  !*** ./src/getScreamingSnakeCase.js ***!
  \**************************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var _utils_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./utils.js */ \"./src/utils.js\");\n/* harmony import */ var _getUpperCase_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./getUpperCase.js */ \"./src/getUpperCase.js\");\n\n\nconst UNDERSCORE = '_';\n\nfunction getScreamingSnakeCase(string, options = {}) {\n  return Object(_utils_js__WEBPACK_IMPORTED_MODULE_0__[\"getDashCase\"])(string, _getUpperCase_js__WEBPACK_IMPORTED_MODULE_1__[\"default\"], UNDERSCORE, options);\n}\n\n/* harmony default export */ __webpack_exports__[\"default\"] = (getScreamingSnakeCase);\n\n//# sourceURL=webpack://kielbasa/./src/getScreamingSnakeCase.js?");

/***/ }),

/***/ "./src/getSnakeCase.js":
/*!*****************************!*\
  !*** ./src/getSnakeCase.js ***!
  \*****************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var _utils_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./utils.js */ \"./src/utils.js\");\n/* harmony import */ var _getLowerCase_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./getLowerCase.js */ \"./src/getLowerCase.js\");\n\n\nconst UNDERSCORE = '_';\n\nfunction getSnakeCase(string, options = {}) {\n  return Object(_utils_js__WEBPACK_IMPORTED_MODULE_0__[\"getDashCase\"])(string, _getLowerCase_js__WEBPACK_IMPORTED_MODULE_1__[\"default\"], UNDERSCORE, options);\n}\n\n/* harmony default export */ __webpack_exports__[\"default\"] = (getSnakeCase);\n\n//# sourceURL=webpack://kielbasa/./src/getSnakeCase.js?");

/***/ }),

/***/ "./src/getStartCase.js":
/*!*****************************!*\
  !*** ./src/getStartCase.js ***!
  \*****************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var _utils_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./utils.js */ \"./src/utils.js\");\n\nconst ALPHABETIC_REGEXP = /([a-zA-Z])/gi; // This is to account for sections\n//     1) With no alphabetic characters\n//     2) With leading characters that are not alphabetic\n\nfunction getSectionWithCapitalizedWord(section) {\n  const firstAlphabeticCharacterIndex = section.search(ALPHABETIC_REGEXP); // eslint-disable-next-line no-magic-numbers\n\n  if (firstAlphabeticCharacterIndex === -1) {\n    return section;\n  }\n\n  const leadingCharacters = section.substring( // eslint-disable-next-line no-magic-numbers\n  0, firstAlphabeticCharacterIndex);\n  const uncapitalizedWord = section.substring(firstAlphabeticCharacterIndex);\n  return leadingCharacters + Object(_utils_js__WEBPACK_IMPORTED_MODULE_0__[\"getCapitalizedWord\"])(uncapitalizedWord);\n}\n\nfunction getStartCase(string, options = {}) {\n  const delimiter = options.delimiter || Object(_utils_js__WEBPACK_IMPORTED_MODULE_0__[\"getDelimiter\"])(string);\n  const sections = string.split(delimiter);\n  const capitalizedSections = sections.map(getSectionWithCapitalizedWord);\n  return capitalizedSections.join(' ');\n}\n\n/* harmony default export */ __webpack_exports__[\"default\"] = (getStartCase);\n\n//# sourceURL=webpack://kielbasa/./src/getStartCase.js?");

/***/ }),

/***/ "./src/getTrainCase.js":
/*!*****************************!*\
  !*** ./src/getTrainCase.js ***!
  \*****************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var _utils_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./utils.js */ \"./src/utils.js\");\n/* harmony import */ var _getUpperCase_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./getUpperCase.js */ \"./src/getUpperCase.js\");\n\n\nconst DASH = '-';\n\nfunction getTrainCase(string, options = {}) {\n  return Object(_utils_js__WEBPACK_IMPORTED_MODULE_0__[\"getDashCase\"])(string, _getUpperCase_js__WEBPACK_IMPORTED_MODULE_1__[\"default\"], DASH, options);\n}\n\n/* harmony default export */ __webpack_exports__[\"default\"] = (getTrainCase);\n\n//# sourceURL=webpack://kielbasa/./src/getTrainCase.js?");

/***/ }),

/***/ "./src/getUpperCase.js":
/*!*****************************!*\
  !*** ./src/getUpperCase.js ***!
  \*****************************/
/*! exports provided: default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\nfunction getUpperCase(string) {\n  return string.toUpperCase();\n}\n\n/* harmony default export */ __webpack_exports__[\"default\"] = (getUpperCase);\n\n//# sourceURL=webpack://kielbasa/./src/getUpperCase.js?");

/***/ }),

/***/ "./src/index.js":
/*!**********************!*\
  !*** ./src/index.js ***!
  \**********************/
/*! exports provided: getCamelCase, getKebabCase, getLowerCase, getScreamingSnakeCase, getSnakeCase, getStartCase, getTrainCase, getUpperCase, default */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony import */ var _getCamelCase_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./getCamelCase.js */ \"./src/getCamelCase.js\");\n/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, \"getCamelCase\", function() { return _getCamelCase_js__WEBPACK_IMPORTED_MODULE_0__[\"default\"]; });\n\n/* harmony import */ var _getKebabCase_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./getKebabCase.js */ \"./src/getKebabCase.js\");\n/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, \"getKebabCase\", function() { return _getKebabCase_js__WEBPACK_IMPORTED_MODULE_1__[\"default\"]; });\n\n/* harmony import */ var _getLowerCase_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./getLowerCase.js */ \"./src/getLowerCase.js\");\n/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, \"getLowerCase\", function() { return _getLowerCase_js__WEBPACK_IMPORTED_MODULE_2__[\"default\"]; });\n\n/* harmony import */ var _getScreamingSnakeCase_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./getScreamingSnakeCase.js */ \"./src/getScreamingSnakeCase.js\");\n/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, \"getScreamingSnakeCase\", function() { return _getScreamingSnakeCase_js__WEBPACK_IMPORTED_MODULE_3__[\"default\"]; });\n\n/* harmony import */ var _getSnakeCase_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./getSnakeCase.js */ \"./src/getSnakeCase.js\");\n/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, \"getSnakeCase\", function() { return _getSnakeCase_js__WEBPACK_IMPORTED_MODULE_4__[\"default\"]; });\n\n/* harmony import */ var _getStartCase_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./getStartCase.js */ \"./src/getStartCase.js\");\n/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, \"getStartCase\", function() { return _getStartCase_js__WEBPACK_IMPORTED_MODULE_5__[\"default\"]; });\n\n/* harmony import */ var _getTrainCase_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./getTrainCase.js */ \"./src/getTrainCase.js\");\n/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, \"getTrainCase\", function() { return _getTrainCase_js__WEBPACK_IMPORTED_MODULE_6__[\"default\"]; });\n\n/* harmony import */ var _getUpperCase_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./getUpperCase.js */ \"./src/getUpperCase.js\");\n/* harmony reexport (safe) */ __webpack_require__.d(__webpack_exports__, \"getUpperCase\", function() { return _getUpperCase_js__WEBPACK_IMPORTED_MODULE_7__[\"default\"]; });\n\n\n\n\n\n\n\n\n\n\n/* harmony default export */ __webpack_exports__[\"default\"] = ({\n  getCamelCase: _getCamelCase_js__WEBPACK_IMPORTED_MODULE_0__[\"default\"],\n  getKebabCase: _getKebabCase_js__WEBPACK_IMPORTED_MODULE_1__[\"default\"],\n  getLowerCase: _getLowerCase_js__WEBPACK_IMPORTED_MODULE_2__[\"default\"],\n  getScreamingSnakeCase: _getScreamingSnakeCase_js__WEBPACK_IMPORTED_MODULE_3__[\"default\"],\n  getSnakeCase: _getSnakeCase_js__WEBPACK_IMPORTED_MODULE_4__[\"default\"],\n  getStartCase: _getStartCase_js__WEBPACK_IMPORTED_MODULE_5__[\"default\"],\n  getTrainCase: _getTrainCase_js__WEBPACK_IMPORTED_MODULE_6__[\"default\"],\n  getUpperCase: _getUpperCase_js__WEBPACK_IMPORTED_MODULE_7__[\"default\"]\n});\n\n//# sourceURL=webpack://kielbasa/./src/index.js?");

/***/ }),

/***/ "./src/utils.js":
/*!**********************!*\
  !*** ./src/utils.js ***!
  \**********************/
/*! exports provided: getCapitalizedWord, getDelimiter, getDashCase, getStringWithoutPunctuation */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
eval("__webpack_require__.r(__webpack_exports__);\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"getCapitalizedWord\", function() { return getCapitalizedWord; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"getDelimiter\", function() { return getDelimiter; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"getDashCase\", function() { return getDashCase; });\n/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, \"getStringWithoutPunctuation\", function() { return getStringWithoutPunctuation; });\nconst PUNCTUATION_REGEXP = /([^a-zA-Z\\d\\s:])/gi;\nfunction getCapitalizedWord(word) {\n  /* eslint-disable no-magic-numbers */\n  const firstCharacter = word.charAt(0).toUpperCase();\n  const trailingCharacters = word.substring(1).toLowerCase();\n  /* eslint-enable no-magic-numbers */\n\n  return firstCharacter + trailingCharacters;\n}\nfunction getDelimiter() {\n  // TODO: actually parse string\n  // to figure out delimiter\n  return ' ';\n}\nfunction getDashCase(string, getModifiedString, caseDelimiter, options = {}) {\n  const modifiedString = getModifiedString(string);\n  const noPunctuationString = getStringWithoutPunctuation(modifiedString);\n  const delimiter = options.delimiter || getDelimiter(noPunctuationString);\n\n  if (delimiter !== caseDelimiter) {\n    const delimiterRegExp = new RegExp(delimiter, 'gi');\n    return noPunctuationString.replace(delimiterRegExp, caseDelimiter);\n  }\n\n  return noPunctuationString;\n}\nfunction getStringWithoutPunctuation(string) {\n  return string.replace(PUNCTUATION_REGEXP, '');\n}\n\n//# sourceURL=webpack://kielbasa/./src/utils.js?");

/***/ })

/******/ });
});